# Template: Simple Assistant Robot



##
Install python
https://www.python.org/
python --version
pip install robotframework
python -m pip install --upgrade pip
robot --version
pip install robotframework-selenium2library
pip install robotframework-appiumlibrary
adb devices

*** Settings ***
Library AppiumLibrary
*** Variables ***
${REMOTE_URL} http://127.0.0.1:4723/wd/hub
${PLATFORM_NAME} Android
${PLATFORM_VERSION} 12
${DEVICE_NAME} RZ8N60SY7DY
${Activity_NAME} com.android.calculator2.Calculator
${PACKAGE_NAME} com.google.android.calculator

https://www.enmilocalfunciona.io/automatizacion-de-pruebas-con-robotframework-para-android/
https://www.xoriant.com/blog/robot-framework-for-mobile-test-automation



    https://www.andykelk.net/tech/automating-android-apps-with-robot-framework-and-appium


    android:name="com.allwork.MainActivity"
    package="com.allwork"
extensions:
    Robot-Framework-Formatter
    Robot Framework Helper


    setTimeout(function() {debugger;}, 3000);


    https://github.com/robotframework/ci-cd-examples
    https://iwconnect.com/utilizing-jenkins-and-docker-for-test-automation-with-robot-framework/
    https://stackoverflow.com/questions/65090053/setup-robot-framework-pipeline-with-gitlab-ci-cd
    https://pradappandiyan.medium.com/running-a-robot-framework-test-on-gitlab-and-deploying-the-report-db2ea18cc082
    https://docs.robotframework.org/docs/examples/project_structure


robot --outputdir testOutput login.robot

ya lo use:
    https://qaautomation.expert/2022/04/12/run-selenium-tests-in-gitlab-ci-cd/      
    https://www.freecodecamp.org/news/4-steps-to-build-an-automated-testing-pipeline-with-gitlab-ci-24ccab95535e/
    https://robocop.readthedocs.io/en/stable/ci.html



super interesante .txt:
https://blog.devgenius.io/testing-streamlit-a1f1fd48ce8f

analizar mas:
https://stackoverflow.com/questions/65157725/using-selenium-inside-gitlab-ci-cd

la posta:
https://gitlab.com/sejuba1/security-scorecard-online-store/-/blob/master/.gitlab-ci.yml

dokerfile:
https://medium.com/@supatchakorn.w/robotframework-run-selenium-chrome-in-docker-5bdc6edd0a7e
https://gitlab.com/supatchakorn.w/seleniumchromerobotframeworkindocker/-/blob/master/Dockerfile
https://blog.jdriven.com/2021/05/create-a-docker-image-running-robot-framework/
https://forum.robotframework.org/t/installing-and-using-browser-on-alpine-based-docker-images/2338/3
https://karatejb.blogspot.com/2021/10/robot-framework-chrome-docker.html
https://spage.fi/headless-selenium-rf
https://iwconnect.com/utilizing-jenkins-and-docker-for-test-automation-with-robot-framework/

appium
https://stackoverflow.com/questions/53166279/setup-gitlab-cicd-for-mobile-automation-using-appium
https://medium.com/evenbit/build-and-test-android-with-gitlab-continuous-integration-e51aba6ba53e


git add .
git commit -m ".gitlab-ci.yml edited - .txt was commented51"
git push -u origin main